# LTX-2.3 22B Distilled · Audio to Video API

> Destilēta audio-video ģenerēšana ar regulējamu audio, pirmā attēla un beigu attēla nosacījumu stiprumu

Nepieciešams `prompt` un `audio_url`. `audio_strength` (0 līdz 1) nosaka, vai ievades audio tiek saglabāts nemainīts vai drīkst tikt mainīts, savukārt `image_strength` un `end_image_strength` kontrolē neobligātos pirmā un pēdējā kadra attēlus. Ietver `preprocess_audio`, otrās kārtas distilācijas LoRA mērogu un `num_frames` no 9 līdz 481.

- Model id: `ltx-2.3-22b/distilled/audio-to-video`
- Made by: Lightricks
- Category: Lipsync & Avatars
- Output: video
- Price per megapixel of your output video: $0.00121 / megapixel of output video (cheapest run $0.002 (2 API credits))
- Run: `POST https://api.doitong.ru/v1/run/ltx-2.3-22b/distilled/audio-to-video`
- Quote: `POST https://api.doitong.ru/v1/quote/ltx-2.3-22b/distilled/audio-to-video`
- Docs page: https://doitong.com/lv/developers/models/ltx-2.3-22b/distilled/audio-to-video

## Pricing

Price: **$0.00121 / megapixel of output video**. Price per megapixel of your output video: the input files are measured before the run (length, resolution, frame rate). The quote measures the same files and is exactly what the run charges.

The full example input below costs $0.269 = 269 API credits (223 MP output video × $0.001205).

Prices are the upstream price in USD, paid from the API balance in API credits (1000 API credits = 1 USD). `POST https://api.doitong.ru/v1/quote/ltx-2.3-22b/distilled/audio-to-video` with the same JSON body returns the exact price for that input; the quote is exactly what a run charges. Invalid input is never charged and failed or canceled requests are refunded automatically.

## Input parameters

Send either the canonical name or the native field name (not both). Canonical names are the same across models.

| Parameter | Canonical name | Type | Required | Default | Allowed values / range | Description |
|---|---|---|---|---|---|---|
| `prompt` |  | string | yes |  |  | Video ģenerēšanas pamatā izmantotā uzvedne. |
| `audio_url` | `audio` | string (audio URL) | yes |  |  | Avota audio URL, kas tiek izmantots video ģenerēšanai. |
| `image_url` | `image` | string (image URL) \| null | no |  |  | Neobligāts attēla URL, kas nosaka video sākuma kadru. |
| `end_image_url` | `end_image` | string (image URL) \| null | no |  |  | Attēla URL, kas nosaka video beigu kadru. |
| `match_audio_length` |  | boolean | no | `true` |  | Kadru skaita atlases pārslēgs: atspējots izmanto num_frames, bet iespējots aprēķina skaitu no FPS un audio ilguma. |
| `num_frames` |  | integer | no | `121` | 9 – 481 | Ģenerētās izvades kadru skaits. |
| `video_size` |  | object {width, height} \| enum (string) | no | `landscape_16_9` | `auto`, `square_hd`, `square`, `portrait_4_3`, `portrait_16_9`, `landscape_4_3`, `landscape_16_9` | Video izmēri; ja ir norādīts attēls, ievades attēla izmērus var iegūt, izmantojot 'auto'. |
| `use_multiscale` |  | boolean | no | `true` |  | Vairākmērogu ģenerēšanas pārslēgs labākai saskaņotībai un detalizācijai. Ja iestatīts True, sākotnējais mazākais video vada otro ģenerēšanu, kuras izmērs atbilst pieprasītajiem izmēriem vai tos pārsniedz. |
| `fps` |  | number | no | `24` | 1 – 60 | Izvades video kadru ātrums, mērīts kadros sekundē. |
| `scheduler` |  | enum (string) | no | `ltx2` | `ltx2`, `linear_quadratic`, `beta` | Plānotāja atlase. |
| `acceleration` |  | enum (string) | no | `none` | `none`, `regular`, `high`, `full` | Apstrādei piemērotais paātrinājuma līmenis. |
| `camera_lora` |  | enum (string) | no | `none` | `dolly_in`, `dolly_out`, `dolly_left`, `dolly_right`, `jib_up`, `jib_down`, `static`, `none` | Kameras LoRA atlase precīzākai kustības vadībai ģenerētajā video nekā ar kameras kustības uzvednēm vien. |
| `camera_lora_scale` |  | number | no | `1` | 0 – 1 | Kameras LoRA stiprums precīzākai kustības vadībai ģenerētajā video nekā ar kameras kustības uzvednēm vien. |
| `negative_prompt` |  | string | no | `news broadcast, 3d animation, computer graphics, pc game, console game, video game, cartoon, childish, watermark, logo, text, on screen text, subtitles, titles, signature, slowmo, static` |  | Negatīvā uzvedne, kas tiek izmantota video ģenerēšanas laikā. |
| `seed` |  | integer \| null | no |  |  | Sākumvērtība, kas inicializē nejaušo skaitļu ģenerēšanu. |
| `enable_prompt_expansion` |  | boolean | no | `true` |  | Kontrolē, vai ir iespējota uzvednes paplašināšana. |
| `enable_safety_checker` |  | boolean | no | `true` |  | Nosaka, vai drošības pārbaude ir iespējota. |
| `video_output_type` |  | enum (string) | no | `X264 (.mp4)` | `X264 (.mp4)`, `VP9 (.webm)`, `PRORES4444 (.mov)`, `GIF (.gif)` | Iegūtā video izvades tips. |
| `video_quality` |  | enum (string) | no | `high` | `low`, `medium`, `high`, `maximum` | Iegūtā video kvalitātes līmenis. |
| `video_write_mode` |  | enum (string) | no | `balanced` | `fast`, `balanced`, `small` | Iegūtā video ierakstīšanas režīms. |
| `distill_lora_second_pass_scale` |  | number | no | `0.5` | 0 – 1 | Kontrolē distill LoRA mērogošanu katrai caurlaidei pēc pirmās. |
| `image_strength` |  | number | no | `1` | 0 – 1 | Attēla ietekmes stiprums uz video ģenerēšanu. |
| `end_image_strength` |  | number | no | `1` | 0 – 1 | Kontrolē, cik lielā mērā beigu attēls ietekmē ģenerēto video. |
| `audio_strength` |  | number | no | `1` | 0 – 1 | Audio nosacījuma stiprums, kur tieši 1.0 saglabā ievadi nemainītu. Ja iestatījums ir mazāks par 1.0, modelis var pārveidot audio. |
| `preprocess_audio` |  | boolean | no | `true` |  | Nosaka, vai audio pirms izmantošanas nosacījumu veidošanai tiek iepriekš apstrādāts. |

File parameters (`audio`, `image`, `end_image`) take a public `https://` URL, a `data:` URI up to 10 MB, or the `file_url` of an upload from `POST /files`.

## Example input

Required parameters only:

```json
{
  "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
  "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}
```

A fuller example:

```json
{
  "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
  "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}
```

## Run it

Set `DOITONG_API_KEY` to a key from https://doitong.com/developers/dashboard#keys. `?wait=20` returns the finished request in the same call when it is ready within 20 seconds; otherwise poll `GET /requests/{id}` (it also accepts `?wait=`), or pass `webhook_url`.

### curl

```bash
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ltx-2.3-22b/distilled/audio-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"
```

### JavaScript

```javascript
const API = "https://api.doitong.ru/v1";
const headers = {
  "Authorization": "Bearer " + process.env.DOITONG_API_KEY,
  "Content-Type": "application/json",
};

// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/ltx-2.3-22b/distilled/audio-to-video?wait=20", {
  method: "POST",
  headers,
  body: JSON.stringify({
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);

// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
  res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
  request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
```

### Python

```python
import os
import requests

API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}

payload = {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
}

# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/ltx-2.3-22b/distilled/audio-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
    raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])

# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
    request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
    raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
```

### MCP

The MCP server at `https://api.doitong.ru/v1/mcp` exposes the tools `search_models`, `get_model`, `quote`, `run`, `get_request`, `cancel_request`, `list_requests`, `create_upload` and `get_account`. A `run` call for this model:

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "run",
    "arguments": {
      "model_id": "ltx-2.3-22b/distilled/audio-to-video",
      "input": {
        "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
        "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
      },
      "wait_seconds": 20
    }
  }
}
```

## Response

Every call returns a request object. `status` is one of `queued`, `running`, `succeeded`, `failed`, `canceled`. `outputs` lists the generated files with URLs on our storage (kept forever, or 7 days with `?storage=temporary`; `storage` says which); `output` is the model's own result object with the same URLs.

```json
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ltx-2.3-22b/distilled/audio-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 269,
    "usd": "0.269",
    "charged": 269,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    },
    "seed": 42,
    "prompt": "A woman speaks to the camera"
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
```

### Output fields (`output`)

| Field | Type | Description |
|---|---|---|
| `video` | object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames} | Modeļa izveidotais video. |
| `seed` | integer | Sēklas vērtība, ko izmanto nejaušo skaitļu ģenerēšanas inicializēšanai. |
| `prompt` | string | Uzvedne, kas vada ģenerēšanu. |

## Related models

- [LTX-2.3 22B Distilled · Text to Video](https://doitong.com/developers/models/ltx-2.3-22b/distilled/text-to-video.md) (`ltx-2.3-22b/distilled/text-to-video`): $0.00121 / megapixel of output video
- [LTX-2.3 22B Distilled · Text to Video · LoRA](https://doitong.com/developers/models/ltx-2.3-22b/distilled/text-to-video/lora.md) (`ltx-2.3-22b/distilled/text-to-video/lora`): $0.00141 / megapixel of output video
- [LTX-2.3 22B Distilled · Image to Video](https://doitong.com/developers/models/ltx-2.3-22b/distilled/image-to-video.md) (`ltx-2.3-22b/distilled/image-to-video`): $0.00121 / megapixel of output video
- [LTX-2.3 22B Distilled · Image to Video · LoRA](https://doitong.com/developers/models/ltx-2.3-22b/distilled/image-to-video/lora.md) (`ltx-2.3-22b/distilled/image-to-video/lora`): $0.00141 / megapixel of output video
- [LTX-2.3 22B Distilled · Reference Video to Video](https://doitong.com/developers/models/ltx-2.3-22b/distilled/reference-video-to-video.md) (`ltx-2.3-22b/distilled/reference-video-to-video`): $0.00121 / megapixel of output video
- [LTX-2.3 22B Distilled · Reference Video to Video · LoRA](https://doitong.com/developers/models/ltx-2.3-22b/distilled/reference-video-to-video/lora.md) (`ltx-2.3-22b/distilled/reference-video-to-video/lora`): $0.00141 / megapixel of output video
- [LTX-2.3 22B Distilled · Video to Video](https://doitong.com/developers/models/ltx-2.3-22b/distilled/video-to-video.md) (`ltx-2.3-22b/distilled/video-to-video`): $0.00121 / megapixel of output video
- [LTX-2.3 22B Distilled · Video to Video · LoRA](https://doitong.com/developers/models/ltx-2.3-22b/distilled/video-to-video/lora.md) (`ltx-2.3-22b/distilled/video-to-video/lora`): $0.00141 / megapixel of output video

## Links

- HTML page: https://doitong.com/developers/models/ltx-2.3-22b/distilled/audio-to-video
- All models and guides for AI agents: https://doitong.com/developers/llms.txt
- OpenAPI 3.1 with this model's typed request body: https://doitong.com/developers/openapi.json?model=ltx-2.3-22b/distilled/audio-to-video
- Errors: https://doitong.com/developers/docs/errors
- Model details as JSON: https://api.doitong.ru/v1/models/ltx-2.3-22b/distilled/audio-to-video
